#include <QTimer>
#include <QDate>
#include <QString>

class TestObject : public QObject
{
Q_OBJECT
public:
	TestObject() : QObject() {}

public slots:
	void testSlot(QString s) {}
signals:
	void testSignal(QString);

};


class MyTestCase : public QObject
{
Q_OBJECT
public:
	MyTestCase() : QObject() {}
public slots:
	void run()
	{
		TestObject *o1, *o2;
		qDebug("Test 1: create 2M connections");
		qDebug("started at " + QTime::currentTime().toString().toLatin1());
		for(ulong i =0; i<1000000; ++i)
		{
			o1 = new TestObject();
			o2 = new TestObject();
			connect(o1, SIGNAL(testSignal(QString)),
					o2, SLOT(testSlot(QString)));
			connect(o2, SIGNAL(testSignal(QString)),
					o1, SLOT(testSlot(QString)));
		}
		qDebug("finished at " + QTime::currentTime().toString().toLatin1());

	}


};

